;InnoSetupVersion=4.0.5

[Setup]
AppName=Absolute Time Corrector
AppVerName=Absolute Time Corrector 3.0
AppId=atc1
AppVersion=3.0
AppPublisher=Flexiblesoft
AppPublisherURL=http://www.flexiblesoft.com/
AppSupportURL=http://www.adjusttime.com/
AppUpdatesURL=http://www.adjusttime.com/
AppMutex=Absolute Time Corrector
DefaultDirName={pf}\Flexiblesoft\ATC
DefaultGroupName=Absolute Time Corrector
UninstallDisplayName=Absolute Time Corrector
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
InfoAfterFile=embedded\InfoAfter.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\atc.hlp"; DestDir: "{app}"; 
Source: "{app}\cuckoo.wav"; DestDir: "{app}"; 
Source: "{app}\failed.wav"; DestDir: "{app}"; 
Source: "{app}\gong.wav"; DestDir: "{app}"; 
Source: "{app}\timeservers.ini"; DestDir: "{app}"; 
Source: "{app}\License.rtf"; DestDir: "{app}"; 
Source: "{app}\ReadMe.rtf"; DestDir: "{app}"; 
Source: "{app}\file_id.diz"; DestDir: "{app}"; 
Source: "{app}\website.url"; DestDir: "{app}"; 
Source: "{fonts}\TAHOMABD.TTF"; DestDir: "{fonts}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{fonts}\TAHOMA.TTF"; DestDir: "{fonts}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\atc.chm"; DestDir: "{app}"; 
Source: "{app}\cal.dll"; DestDir: "{app}"; 
Source: "{app}\atc.ini"; DestDir: "{app}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\atc.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\atcw.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\RFC2030.txt"; DestDir: "{app}"; 
Source: "{app}\RFC868.txt"; DestDir: "{app}"; 
Source: "{app}\uninstall.ico"; DestDir: "{app}"; 
Source: "{app}\regist00.dll"; DestDir: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "atc.exe"; ValueType: String; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\ReadMe.rtf"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 
Filename: "{app}\atcw.exe"; Description: "Run Configuration Wizard"; Flags: postinstall skipifsilent hidewizard 
Filename: "{app}\atc.exe"; Description: "Run Absolute Time Corrector"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\ATC"; Filename: "{app}\atc.exe"; WorkingDir: "{app}"; IconFilename: "{app}\atc.exe"; 
Name: "{group}\ATC Wizard"; Filename: "{app}\atcw.exe"; WorkingDir: "{app}"; IconFilename: "{app}\atcw.exe"; 
Name: "{group}\ATC Help"; Filename: "{app}\ATC.chm"; WorkingDir: "{app}"; 
Name: "{group}\ATC License"; Filename: "{app}\License.rtf"; WorkingDir: "{app}"; 
Name: "{group}\ATC Readme"; Filename: "{app}\readme.rtf"; WorkingDir: "{app}"; 
Name: "{group}\ATC home page"; Filename: "{app}\website.url"; 
Name: "{group}\Uninstall ATC"; Filename: "{app}\{uninstallexe}"; WorkingDir: "{app}"; IconFilename: "{app}\uninstall.ico"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
